[Mailman-Developers] RELEASED: GNU Mailman 3.0 beta 1 and Postorius 1.0 alpha 1

Barry Warsaw barry at list.org
Mon Mar 26 19:38:24 CEST 2012

On Mar 23, 2012, at 11:47 PM, Felipe Gasper wrote:

>No INSTALL file in the tarball?
>For folks like me who aren’t savvy with Python’s installers and were
>expecting to find configure/make, it would help a great deal.
>This may be the wrong list for this, but just in case I stumbled on the right
>way to install it, I got this when doing sudo python setup.py install:
>Processing dependencies for mailman==3.0.0b1
>error: Installed distribution zope.interface 3.5.1 conflicts with requirement zope.interface>=3.8.0

The online documentation is here:


but I admit that the "Getting Started" page is a little bit out of date.  It's
mostly right though.  You can also build mm3 in a virtualenv, which is how I
actually run it in my test-production servers.

This would make a nice easy bug for someone to work on.  I've added two
official bug tags to the tracker: 'documentation' and 'easy'.  Just go to
http://bugs.launchpad.net/mailman and use the advanced search to find bugs
with either of these tags.  If it also has a 'mailman3' official bug tag, then
you'll know it's targeted for Mailman 3.


More information about the Mailman-Developers mailing list